## e-source-enums

e-source-enums

## Types and Values

enum | EMdnResponsePolicy
enum | EProxyMethod
enum | ESourceAuthenticationResult
enum | ETrustPromptResponse
enum | ESourceConnectionStatus
enum | ESourceCredentialsReason
enum | ESourceLDAPAuthentication
enum | ESourceLDAPScope
enum | ESourceLDAPSecurity
enum | ESourceWeatherUnits
enum | ESourceMailCompositionReplyStyle
enum | EThreeState
enum | EConflictResolution

## Description

## Functions

## Types and Values

### enum EMdnResponsePolicy

Policy for responding to Message Disposition Notification requests (i.e. a Disposition-Notification-To header) when receiving messages. See RFC 2298 for more information about MDN requests.

#### Members

E_MDN_RESPONSE_POLICY_NEVER | Never respond to an MDN request. |
E_MDN_RESPONSE_POLICY_ALWAYS | Always respond to an MDN request. |
E_MDN_RESPONSE_POLICY_ASK | Ask the user before responding to an MDN request. |

Since: 3.6

### enum EProxyMethod

Network proxy configuration methods.

#### Members

E_PROXY_METHOD_DEFAULT | Use the default GProxyResolver (see `g_proxy_resolver_get_default()`). |
E_PROXY_METHOD_MANUAL | Use the FTP/HTTP/HTTPS/SOCKS settings defined in ESourceProxy. |
E_PROXY_METHOD_AUTO | Use the autoconfiguration URL defined in ESourceProxy. |
E_PROXY_METHOD_NONE | Direct connection; do not use a network proxy. |

Since: 3.12

### enum ESourceAuthenticationResult

Status codes used by the EBackend authentication wrapper.

#### Members

E_SOURCE_AUTHENTICATION_UNKNOWN | Unknown error occurred while authenticating. Since: 3.26 |
E_SOURCE_AUTHENTICATION_ERROR | An error occurred while authenticating. |
E_SOURCE_AUTHENTICATION_ERROR_SSL_FAILED | An SSL certificate check failed. Since: 3.16. |
E_SOURCE_AUTHENTICATION_ACCEPTED | Server requesting authentication accepted password. |
E_SOURCE_AUTHENTICATION_REJECTED | Server requesting authentication rejected password. |
E_SOURCE_AUTHENTICATION_REQUIRED | Server requesting authentication, but none was given. |

Since: 3.6

### enum ETrustPromptResponse

Response codes for the trust prompt.

#### Members

E_TRUST_PROMPT_RESPONSE_UNKNOWN | Unknown response, usually due to some error |
E_TRUST_PROMPT_RESPONSE_REJECT | Reject permanently |
E_TRUST_PROMPT_RESPONSE_ACCEPT | Accept permanently |
E_TRUST_PROMPT_RESPONSE_ACCEPT_TEMPORARILY | Accept temporarily |
E_TRUST_PROMPT_RESPONSE_REJECT_TEMPORARILY | Reject temporarily |

Since: 3.8

### enum ESourceConnectionStatus

Connection status codes used by the ESource to indicate its connection state. This is used in combination with authentication of the ESource. For example, if there are multiple clients asking for a password and a user enters the password in one of them, then the status will change into 'connecting', which is a signal do close the password prompt in the other client, because the credentials had been already provided.

#### Members

E_SOURCE_CONNECTION_STATUS_DISCONNECTED | The source is currently disconnected from its (possibly remote) data store. |
E_SOURCE_CONNECTION_STATUS_AWAITING_CREDENTIALS | The source asked for credentials with a 'credentials-required' signal and is currently awaiting for them. |
E_SOURCE_CONNECTION_STATUS_SSL_FAILED | A user rejected SSL certificate trust for the connection. |
E_SOURCE_CONNECTION_STATUS_CONNECTING | The source is currently connecting to its (possibly remote) data store. |
E_SOURCE_CONNECTION_STATUS_CONNECTED | The source is currently connected to its (possibly remote) data store. |

Since: 3.16

### enum ESourceCredentialsReason

An ESource's authentication reason, used by an ESource::CredentialsRequired method.

#### Members

E_SOURCE_CREDENTIALS_REASON_UNKNOWN | A return value when there was no 'credentials-required' signal emitted yet, or a pair 'authenticate' signal had been received. This value should not be used in the call of 'credentials-required'. |
E_SOURCE_CREDENTIALS_REASON_REQUIRED | This is the first attempt to get credentials for the source. It's usually used right after the source is opened and the authentication continues with a stored credentials, if any. |
E_SOURCE_CREDENTIALS_REASON_REJECTED | The previously used credentials had been rejected by the server. That usually means that the user should be asked to provide/correct the credentials. |
E_SOURCE_CREDENTIALS_REASON_SSL_FAILED | A secured connection failed due to some server-side certificate issues. |
E_SOURCE_CREDENTIALS_REASON_ERROR | The server returned an error. It is not possible to connect to it at the moment usually. |

Since: 3.16

### enum ESourceLDAPAuthentication

Defines authentication types for LDAP sources.

#### Members

E_SOURCE_LDAP_AUTHENTICATION_NONE | Use none authentication type. |
E_SOURCE_LDAP_AUTHENTICATION_EMAIL | Use an email address for authentication. |
E_SOURCE_LDAP_AUTHENTICATION_BINDDN | Use a bind DN for authentication. |

Since: 3.18

### enum ESourceLDAPScope

Defines search scope for LDAP sources.

#### Members

E_SOURCE_LDAP_SCOPE_ONELEVEL | One level search scope. |
E_SOURCE_LDAP_SCOPE_SUBTREE | Sub-tree search scope. |

Since: 3.18

### enum ESourceLDAPSecurity

Defines what connection security should be used for LDAP sources.

#### Members

E_SOURCE_LDAP_SECURITY_NONE | Connect insecurely. |
E_SOURCE_LDAP_SECURITY_LDAPS | Connect using secure LDAP (LDAPS). |
E_SOURCE_LDAP_SECURITY_STARTTLS | Connect using STARTTLS. |

Since: 3.18

### enum ESourceWeatherUnits

Units to be used in an ESourceWeather extension.

#### Members

E_SOURCE_WEATHER_UNITS_FAHRENHEIT | Fahrenheit units |
E_SOURCE_WEATHER_UNITS_CENTIGRADE | Centigrade units |
E_SOURCE_WEATHER_UNITS_KELVIN | Kelvin units |

Since: 3.18

### enum ESourceMailCompositionReplyStyle

Set of preferred reply styles for an ESourceMailComposition extension.

#### Members

E_SOURCE_MAIL_COMPOSITION_REPLY_STYLE_DEFAULT | Use default reply style. |
E_SOURCE_MAIL_COMPOSITION_REPLY_STYLE_QUOTED | Use quoted reply style. |
E_SOURCE_MAIL_COMPOSITION_REPLY_STYLE_DO_NOT_QUOTE | Do not quote anything in replies. |
E_SOURCE_MAIL_COMPOSITION_REPLY_STYLE_ATTACH | Attach original message in replies. |
E_SOURCE_MAIL_COMPOSITION_REPLY_STYLE_OUTLOOK | Use Outlook reply style. |

Since: 3.20

### enum EThreeState

Describes a three-state value, which can be either Off, On or Inconsistent.

#### Members

E_THREE_STATE_OFF | the three-state value is Off |
E_THREE_STATE_ON | the three-state value is On |
E_THREE_STATE_INCONSISTENT | the three-state value is neither On, nor Off |

Since: 3.26

### enum EConflictResolution

Defines what to do when a conflict between the locally stored and remotely stored object versions happen during object modify or remove.

#### Members

E_CONFLICT_RESOLUTION_FAIL | Fail when a write-conflict occurs. |
E_CONFLICT_RESOLUTION_USE_NEWER | Use newer version of the object, which can be either the server version or the local version of it. |
E_CONFLICT_RESOLUTION_KEEP_SERVER | Keep server object on conflict. |
E_CONFLICT_RESOLUTION_KEEP_LOCAL | Write local version of the object on conflict. |
E_CONFLICT_RESOLUTION_WRITE_COPY | Create a new copy of the object on conflict. |

Since: 3.26